<?xml version='1.0' encoding='utf-8'?>
<!-- {{ ansible_managed }} -->
<!--
 | tokens:
 |- shutdown_port
 |- max_threads
 |- min_threads
 |- http_port
 |- ajp_port
 |- jvm_route
 |- jmx_remote (hash)
    |- registry_port
    |- server_port
    `- use_local_ports
-->

<Server port="{{ elastic_worker.server_xml.server_port }}" shutdown="SHUTDOWN">
  <Listener className="org.apache.catalina.core.JasperListener" />
  <Listener className="org.apache.catalina.core.JreMemoryLeakPreventionListener" />
  <Listener className="org.apache.catalina.mbeans.GlobalResourcesLifecycleListener" />
  <Listener className="org.apache.catalina.core.ThreadLocalLeakPreventionListener" />

  <Listener className="org.apache.catalina.mbeans.JmxRemoteLifecycleListener"
            rmiRegistryPortPlatform="{{ elastic_worker.server_xml.rmi_registry_port }}"
            rmiServerPortPlatform="{{ elastic_worker.server_xml.rmi_server_port }}"
            useLocalPorts="false" />

  <Service name="Catalina">

    <Executor name="tomcatThreadPool"
              namePrefix="catalina-exec-"
              maxThreads="200"
              minSpareThreads="20" />

    <Connector executor="tomcatThreadPool"
               port="{{ elastic_worker.server_xml.http_port }}"
               protocol="HTTP/1.1"
               connectionTimeout="20000"
               URIEncoding="UTF-8"
               bindOnInit="false"/>

    <Connector executor="tomcatThreadPool"
               port="{{ elastic_worker.server_xml.ajp_port }}"
               protocol="AJP/1.3"
               URIEncoding="UTF-8"/>

    <Engine name="Catalina"
            defaultHost="localhost"
            startStopThreads="0"
            jvmRoute="{{ coremedia_application_name }}" >

      <Host name="localhost"
            appBase="webapps"
            unpackWARs="false"
            autoDeploy="false"
            failCtxIfServletStartFails="true">

        <Valve className="org.apache.catalina.valves.AccessLogValve"
               directory="logs"
               prefix="localhost_access_log."
               suffix=".txt"
               pattern="%h %l %u %t &quot;%r&quot; %s %b"
               resolveHosts="false" />

        <Valve className="org.apache.catalina.valves.RemoteIpValve"
               protocolHeader="x-forwarded-proto" />

      </Host>
    </Engine>
  </Service>
</Server>
